# $Revision: 1.51 $, $Date: 2007-02-13 07:47:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GD
%define		pnam	Graph
Summary:	GD::Graph - graph plotting module for Perl
Summary(pl.UTF-8):	GD::Graph - moduł do rysowania grafów dla Perla
Name:		perl-GD-Graph
Version:	1.4308
Release:	4
# same as perl, but contains GPL v2+ font file required by examples, so
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	fcdd34d5e09ae917b5d264887734b3b1
Patch0:		%{name}-samples.patch
URL:		http://search.cpan.org/dist/GDGraph/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	ImageMagick
BuildRequires:	ImageMagick-coder-png
%if %{with tests}
BuildRequires:	perl-GD >= 1.18
BuildRequires:	perl-GD-TextUtil >= 0.80
%endif
BuildArch:	noarch
Requires:	perl-GD >= 1.18
Requires:	perl-GD-TextUtil >= 0.80
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD::Graph is a Perl module to create charts, using the GD module.

%description -l pl.UTF-8
Moduł Perla GD::Graph służy do tworzenia wykresów przy pomocy modułu
GD.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}
%{?with_tests:%{__make} samples}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/*.{dat,pl,png,txt} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/GD/Graph/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/GD/Graph.pm
%{perl_vendorlib}/GD/Graph
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-GD-Graph.spec,v $
Revision 1.51  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.49  2006/10/09 11:36:01  qboosh
- generic URL

Revision 1.48  2006/08/25 18:53:38  radek
- release 4

Revision 1.47  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.46  2006/06/26 06:49:24  maciek2w
- updated to 1.4308

Revision 1.45  2004/11/03 22:30:23  paladine
- formatting

Revision 1.44  2004/11/02 10:56:25  adamg
- get rid of pod documentation
- release 3

Revision 1.43  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.42  2004/05/06 18:01:29  ankry
- fixed perl-devel BR

Revision 1.41  2004/04/25 00:50:54  ankry
- cosmetics: unification

Revision 1.40  2004/04/21 07:49:11  ankry
- summary, description
- font removed; added patch to fix font path

Revision 1.39  2004/04/21 05:39:18  ankry
- more about license, samples font moved to _examplesdir

Revision 1.38  2004/04/20 23:07:58  ankry
- ported to new bconds

Revision 1.37  2003/09/15 11:42:53  adamg
- updated to 1.43

Revision 1.36  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.35  2003/08/22 14:13:04  wiget
- typo

Revision 1.34  2003/08/22 12:53:25  wiget
- BR PNG support for ImageMagick

Revision 1.33  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/07/03 18:58:01  qboosh
- updated deps

Revision 1.31  2003/06/29 14:12:03  migo
- up to 1.42, BUGS is no more ;-)

Revision 1.30  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 19:36:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/27 20:45:19  ankry
fixed BR

Revision 1.25  2003/02/24 20:31:53  radek
- use the __perl macro

Revision 1.24  2003/02/21 23:40:25  ankry
- autoupdated to 1.39

Revision 1.23  2003/02/21 14:40:46  ankry
- updated to 1.37
- added tests

Revision 1.22  2003/02/18 15:32:36  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/07/17 09:42:59  kloczek
- updated to 1.35.

Revision 1.20  2002/07/13 15:42:23  qboosh
- new %%doc, cosmetics

Revision 1.19  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/03/03 06:07:23  kloczek
- reelase 5.

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/10 15:26:27  depesz
adapterized

Revision 1.14  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:09:26  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/06 08:12:00  kloczek
- typo.

Revision 1.9  2001/01/06 08:08:43  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/11/12 03:53:37  kloczek
- updated to 1.33,
- use new rpm automation.

Revision 1.7  2000/09/09 03:41:43  kloczek
- updated to 1.32.

Revision 1.6  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 23:36:15  pius
- initial release
